Name:           pantheon-agent-polkit
Summary:        Pantheon Polkit Agent
Version:        0.1.4
Release:        1%{?dist}
License:        LGPLv2+

URL:            https://github.com/elementary/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake-elementary
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.34.1
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(polkit-gobject-1)


%description
An agent for Polkit authorization designed for Pantheon.


%prep
%autosetup


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-agent-polkit


%check
desktop-file-validate \
    %{buildroot}/%{_sysconfdir}/xdg/autostart/org.pantheon.agent-polkit-daemon.desktop
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.agent-polkit.desktop


%files -f pantheon-agent-polkit.lang
%doc README.md
%license COPYING

%config(noreplace) %{_sysconfdir}/xdg/autostart/org.pantheon.agent-polkit-daemon.desktop

%{_libexecdir}/policykit-1-pantheon/

%{_datadir}/applications/org.pantheon.agent-polkit.desktop


%changelog
* Sat May 27 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-1
- Update to version 0.1.4.

* Tue May 02 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-1
- Initial package.


